# Установка мониторинга платформы
```
cd /opt/bdp_manager && source installer-venv/bin/activate

ansible-playbook ansible/monitoring/main.yml -e @files_for_installer/common_vars.yml
```

## Компоненты
### Prometheus Server
- Назначение сервиса - сбор, хранение, алертинг
- Тег для выборочной установки: prometheus

### Prometheus Node Exporter
- Назначение сервиса - сбор метрик производительности нод кластера (CPU/RAM/HDD/Network)
- Тег для выборочной установки: node_exporter

### Prometheus BlackBox Exporter
- Назначение сервиса - сбор метрик доступности HTTP и TCP сервисов кластера
- Тег для выборочной установки: blackbox_exporter

### Grafana
- Назначение сервиса - отображение данных и оповещение
- Тег для выборочной установки: grafana

### business_metrics
- Назначение сервиса - Сбор бизнес метрик
- Тег для выборочной установки: business_metrics

### kafka_conslag_exporter
- Назначение сервиса - Сбор метрик отставания потребителей в считывании сообщений
- Тег для выборочной установки: kafka_conslag_exporter
- Доступна параметризация порога срабатывания оповещений alertmanager. Для установки порога, следует добавить к строке установки, указанной в сниппете в начале файла, ' -e "kafka_conslag_treshold=<int>", где <int> целое число, определяющее количество несчитанных сообщений.
