# Проверка производительности сервера
Выполняет базовые тесты производительности для 
- CPU
- RAM
- HDD
- Сети

## Для тестирования использованы утилиты
- Sysbench (https://redos.red-soft.ru/base/manual/utilites/hardware-stress-test/sysbench/)
- Iperf3

## Запуск
Для удобства запуска и анализа результатов используется shell скрипт-обёртка run_perf_test.sh в installer_root.
```
./run_perf_test.sh
```

### Параметры
В качестве позиционного аргумента скрипту могут быть переданы: 
1. Хост для проведения тестов.
2. Сервер для запуска iperf.

Хост для тестов по-умолчанию - тот, на котором есть Metaload БД (cluster-manager).
Запуск сервера для iperf по-умолчанию на localhost (installer).
Пример запуска c ключами:
```
./run_perf_test.sh test-redos-datanode-01.corp.myservices.digital test-redos-datanode-02.corp.myservices.digital
```

### Журнал
Полный лог сохранияется в каталоге installer_root в файле perf_test.log, который обновляется при каждом запуске.

### Пример вывода результатов
```
Итоговая статистика для test-redos-cluster-manager.corp.myservices.digital:
------------------------------------------------------
CPU 1 core:           1002.43 events/s
RAM seq.read:         6024.53 MiB/s
RAM seq.write:        4266.58 MiB/s
HDD seq.read:         2613.86 MiB/s
HDD seq.write:        14.89 MiB/s
HDD rnd.r/w.read:     8.72 MiB/s
HDD rnd.r/w.write:    5.81 MiB/s
Net upload:           916 Mbits/sec
Net download:         910 Mbits/sec
------------------------------------------------------
```

