
# Kafka to Kafka

[![Confluence][atlassian_logo]][confluence] [Документация][confluence]   
[![Ticket][atlassian_logo]][ticket] [Задача][ticket]



---

#### Пример создания kafka2kafka сервиса
```ansible
ansible-playbook ansible/kafka2kafka/main.yml -i files_for_installer/hosts -e '{ "kafka2kafka_name":"kafka2kafka_test_1", "topics":{"src_topic_2":"sys__testmm_1__devsys_1__web_returns__data","src_topic_3":"sys__testmm_2__devsys_2__web_returns__data"}, "src_bootstrap_servers":["rnd-test-2-datanode-02.khd.lan:6667","rnd-test-2-datanode-03.khd.lan:6667","rnd-test-2-namenode-01.khd.lan:6667"]}'
```

* ` kafka2kafka_name` -- Имя источника данных, будет использовано в имени сервиса и пути к скриптам
* `topics` -- Словарь топиков, где ключ это топик источник, а значение, это топик назначения
* `src_bootstrap_servers` -- Список bootstrap серверов кафки источника


<!-- URLs -->
[Confluence]: http://attlassian.sch.ocrv.com.rzd:8090/pages/viewpage.action?pageId=116627362 "Документация"
[ticket]: http://jira.sch.ocrv.com.rzd:8080/browse/BDP-3981 "Задача"

<!-- Логотипы Jira and confluence -->
[atlassian_logo]: https://www.atlassian.com/favicon-32x32.png