#!/bin/bash
# Настройка виртуального рабочего окружения для python
set -e
echo "Запуск настройки виртуального python окружения"
python3 -m venv installer-venv && echo "Создан venv в `pwd`/installer-venv"
source installer-venv/bin/activate
pip install --upgrade pip
pip3 install -r requirements.txt
echo "Список установленых пакетов:" && pip3 freeze
echo "Окружение ansible: " && ansible --version
echo -e "\n\nНастройка виртуального python окружения завершена успешно" && exit 0
